Public API
Apps

On this page
Apps in the workspace. A server key can open every app.
These routes are the public API. Send Authorization: Bearer with a workspace server API key. The key can act on every app in the workspace. A route that names an app uses that app id. environment is development or production.
GET /api/v1/public/apps
The apps were listed.
Responses
200APPS_LISTED— The apps were listed.page(integer, required)per_page(integer, required)total(integer, required)apps(array of object, required)
401INVALID_API_KEY— The API key is invalid.422VALIDATION_FAILED— The request contains invalid fields.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
POST /api/v1/public/apps
The app was created.
Responses
201APP_CREATED— The app was created.id(string, required)name(string, required)stack(string, required)environment(string, required)
401INVALID_API_KEY— The API key is invalid.422VALIDATION_FAILED— The request contains invalid fields.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
DELETE /api/v1/public/apps/{app}
The app was deleted.
Path
app— App id in this workspace.
Responses
200APP_DELETED— The app was deleted.id(string, required)
401INVALID_API_KEY— The API key is invalid.404APP_NOT_FOUND— The app could not be found.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
GET /api/v1/public/apps/{app}
The app was found.
Path
app— App id in this workspace.
Responses
200APP_FETCHED— The app was found.id(string, required)name(string, required)stack(string, required)environment(string, required)delivery(object, required)
401INVALID_API_KEY— The API key is invalid.404APP_NOT_FOUND— The app could not be found.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
PATCH /api/v1/public/apps/{app}
The app was updated.
Path
app— App id in this workspace.
Responses
200APP_UPDATED— The app was updated.id(string, required)name(string, required)stack(string, required)environment(string, required)
401INVALID_API_KEY— The API key is invalid.404APP_NOT_FOUND— The app could not be found.422VALIDATION_FAILED— The request contains invalid fields.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
PATCH /api/v1/public/apps/{app}/environment
The environment was updated.
Path
app— App id in this workspace.
Body
environment(string, required)
Responses
200ENVIRONMENT_UPDATED— The environment was updated.id(string, required)environment(string, required)
401INVALID_API_KEY— The API key is invalid.404APP_NOT_FOUND— The app could not be found.422VALIDATION_FAILED— The request contains invalid fields.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
POST /api/v1/public/apps/{app}/restore
The app was restored.
Path
app— App id in this workspace, including one that was deleted.
Responses
200APP_RESTORED— The app was restored.id(string, required)
401INVALID_API_KEY— The API key is invalid.404APP_NOT_FOUND— The app could not be found.422VALIDATION_FAILED— The request contains invalid fields.429RATE_LIMIT_EXCEEDED— Too many requests. Please try again later.500SERVER_ERROR— Something went wrong. Please try again.
